Description

Loading of QGIS typically halts at a "Python error" dialogue if a plugin is enabled that is broken because of missing dependencies or

something.

At this stage QGIS is not shown in the taskbar, so if the "Python error" dialogue is hidden by another window then the user does not know

that loading of QGIS is halted, and will be confused, wondering where it has gone.

There are a couple of possible solutions:

- continue loading QGIS in the background, instead of halting at the "Python error" dialogue.

- show the "Python error" dialogue in the taskbar.

History

#1 - 2012-04-15 10:21 AM - Giovanni Manghi

- Target version set to Version 2.0.0

#2 - 2012-10-06 02:18 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2015-12-07 06:14 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

I think this is fixed in QGIS 2.13 (and in 2.12). There is now an information band on the screen indicating the Python problem. You can open (with a push

button) the stack trace (opens the old Python error MessageBox) or view the message log. QGIS doesn't stop loading on the error but displays the band in

case of problem.

Can you confirm it ?

#4 - 2015-12-07 10:03 AM - Alister Hood

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Sounds good.
